Bullet Collision Detection & Physics Library: Bullet::btTriangleInfoMapData Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
Bullet::btTriangleInfoMapData Class Reference

`#include <bullet.h>`

Collaboration diagram for Bullet::btTriangleInfoMapData:
[legend]

## Public Attributes
int * | m_hashTablePtr
int * | m_nextPtr
btTriangleInfoData * | m_valueArrayPtr
int * | m_keyArrayPtr
float | m_convexEpsilon
float | m_planarEpsilon
float | m_equalVertexThreshold
float | m_edgeDistanceThreshold
float | m_zeroAreaThreshold
int | m_nextSize
int | m_hashTableSize
int | m_numValues
int | m_numKeys
char | m_padding [4]

## Detailed Description

Definition at line 499 of file bullet.h.

## Member Data Documentation

## ◆ m_convexEpsilon

float Bullet::btTriangleInfoMapData::m_convexEpsilon

Definition at line 506 of file bullet.h.

## ◆ m_edgeDistanceThreshold

float Bullet::btTriangleInfoMapData::m_edgeDistanceThreshold

Definition at line 509 of file bullet.h.

## ◆ m_equalVertexThreshold

float Bullet::btTriangleInfoMapData::m_equalVertexThreshold

Definition at line 508 of file bullet.h.

## ◆ m_hashTablePtr

int* Bullet::btTriangleInfoMapData::m_hashTablePtr

Definition at line 502 of file bullet.h.

## ◆ m_hashTableSize

int Bullet::btTriangleInfoMapData::m_hashTableSize

Definition at line 512 of file bullet.h.

## ◆ m_keyArrayPtr

int* Bullet::btTriangleInfoMapData::m_keyArrayPtr

Definition at line 505 of file bullet.h.

## ◆ m_nextPtr

int* Bullet::btTriangleInfoMapData::m_nextPtr

Definition at line 503 of file bullet.h.

## ◆ m_nextSize

int Bullet::btTriangleInfoMapData::m_nextSize

Definition at line 511 of file bullet.h.

## ◆ m_numKeys

int Bullet::btTriangleInfoMapData::m_numKeys

Definition at line 514 of file bullet.h.

## ◆ m_numValues

int Bullet::btTriangleInfoMapData::m_numValues

Definition at line 513 of file bullet.h.

## ◆ m_padding

char Bullet::btTriangleInfoMapData::m_padding[4]

Definition at line 515 of file bullet.h.

## ◆ m_planarEpsilon

float Bullet::btTriangleInfoMapData::m_planarEpsilon

Definition at line 507 of file bullet.h.

## ◆ m_valueArrayPtr

btTriangleInfoData* Bullet::btTriangleInfoMapData::m_valueArrayPtr

Definition at line 504 of file bullet.h.

## ◆ m_zeroAreaThreshold

float Bullet::btTriangleInfoMapData::m_zeroAreaThreshold

Definition at line 510 of file bullet.h.

The documentation for this class was generated from the following file:

- bullet.h